POST /api/v1/configuration/update — Update Configuration
Updates comprehensive configuration settings including general, email, password, and SMS configurations for your Sadq account in a single request.
Authentication
SadqAuthorize
Request Headers
- Authorization (required)
- Bearer {token}
- Content-Type (required)
- application/json
Request Body
Content-Type: application/json
- general (object, optional)
- General configuration settings.
- email (object, optional)
- Email provider configuration settings.
- password (object, optional)
- Password policy configuration settings.
- sms (object, optional)
- SMS provider configuration settings.
{
"general": {
"referenceNumberFirstPart": "REQ-2025",
"defaultRedirectUrl": "https://example.com/success",
"allowExternalRecipientsToViewSignerMapping": false,
"notifyMeEachTimeaSignerCompletesTheirSignature": true,
"hideSignersSensitiveInformationInTheAuditTrail": true,
"separateAuditTrailFromOriginalFile": true,
"preventSignerFromResizingTheSignature": false,
"flag": 0
},
"email": {
"emailProviderType": 1,
"emailDomain": "example.com",
"emailUser": "noreply@example.com",
"emailPassword": "secure_password",
"emailSmtp": "smtp.example.com",
"emailPort": "587",
"emailEnableSSL": true
},
"password": {
"expiryIntervalDays": 90,
"minPasswordLength": 8,
"maxPasswordLength": 128,
"uppercaseCharRequirement": 1,
"lowercaseCharRequirement": 1,
"numberCharRequirement": 1,
"specialCharRequirement": 1,
"enableExpiryNotification": true,
"expiryNotificationDaysBefore": 7
},
"sms": {
"smsProvider": 1,
"invitationLanguage": 1,
"smsUrl": "https://sms-api.example.com/send",
"smsSender": "Sadq",
"smsUsername": "api_user",
"smsPassword": "secure_password"
}
}Responses
HTTP 200 — Configuration updated
{
"errorCode": 0,
"message": null,
"returnUrl": "/dashboard",
"stateValidationErrors": null,
"signature": ""
}